Workflow Templates - Task Template Relations API
Bu içerik henüz dilinizde mevcut değil.
Use this API to view or update the relations between a workflow template and its task templates.
- List all task template relations of a workflow template
- Add a task template relation to a workflow template
- Update a task template relation of a workflow template
- Remove a task template relation from a workflow template
- Remove all task template relations from a workflow template
- Fields
List all task template relations of a workflow template
Заголовок раздела «List all task template relations of a workflow template»List all of the task template relations of a workflow template with a specific ID:
GET /workflow_templates/:id/task_template_relationsResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 4558, "...": "..." }]The response contains these fields by default.
Add a task template relation to a workflow template
Заголовок раздела «Add a task template relation to a workflow template»Add a task template relation to a workflow template with a specific ID.
POST /workflow_templates/:id/task_template_relationsWhen creating a new task template relation for a workflow template these fields are available.
Response
Заголовок раздела «Response»Status: 201 Created{ "id": 4558, "...": "..."}Update a task template relation of a workflow template
Заголовок раздела «Update a task template relation of a workflow template»Update a task template relation with a specific ID of a workflow template with a specific ID.
PATCH /workflow_templates/:id/task_template_relations/:task_template_relation_idWhen updating an existing task template relation for a workflow template these fields are available.
Response
Заголовок раздела «Response»Status: 200 OK{ "id": 4558, "...": "..."}Remove a task template relation from a workflow template
Заголовок раздела «Remove a task template relation from a workflow template»Remove a task template relation with a specific ID from a workflow template with a specific ID.
DELETE /workflow_templates/:id/task_template_relations/:task_template_relation_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all task template relations from a workflow template
Заголовок раздела «Remove all task template relations from a workflow template»Remove all task template relations from a workflow template with a specific ID.
DELETE /workflow_templates/:id/task_template_relationsResponse
Заголовок раздела «Response»Status: 204 No Contentcreated_at
Readonly datetime — The date and time at which the task template relation was created.
id
Required integer — The unique ID of the relation between the workflow template and the task template.
phase_name
Optional string (max 50) — The Phase Name field indicates the phase of the workflow template that the task template relation is a part of.
task_template
Required reference to task template — The related task template.
failure_task_template
Optional reference to task template — The template of the task that will be assigned in case this task is failed or rejected.
updated_at
Readonly
datetime
— The date and time of the last update of the task template relation. If the task template relation has no updates it contains the
created_at
value.